package org.dromara.ygpassport.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.ygpassport.domain.bo.ScoreplanBo;
import org.dromara.ygpassport.domain.vo.ScoreplanVo;

import java.util.Collection;
import java.util.List;

/**
 * 个人目标与成长计划Service接口
 *
 */
public interface IScoreplanService {
    /**
     * 查询个人目标与成长计划
     */
    ScoreplanVo queryById(Long id);

    /**
     * 查询个人目标与成长计划列表
     */
    TableDataInfo<ScoreplanVo> queryPageList(ScoreplanBo bo, PageQuery pageQuery);

    /**
     * 查询个人目标与成长计划列表
     */
    List<ScoreplanVo> queryList(ScoreplanBo bo);

    /**
     * 新增个人目标与成长计划
     */
    Boolean insertByBo(ScoreplanBo bo);

    /**
     * 修改个人目标与成长计划
     */
    Boolean updateByBo(ScoreplanBo bo);

    /**
     * 校验并批量删除个人目标与成长计划信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ScoreplanVo> queryListByStuNo(String stuNo);
}
